Package org.eclipse.m2m.atl.engine.compiler

## Class CompilerNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.m2m.atl.engine.compiler.CompilerNotFoundException

All Implemented Interfaces:
  `java.io.Serializable`

    public class CompilerNotFoundException
    extends java.lang.RuntimeException

Compiler not found exception.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`CompilerNotFoundException​(java.lang.String message)` Creates a CompilerNotFoundException with the given message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CompilerNotFoundException

    public CompilerNotFoundException​(java.lang.String message)

Creates a CompilerNotFoundException with the given message.

Parameters:
  `message` - the error message